Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.util
Class LittleEndianInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              org.apache.poi.util.LittleEndianInputStream

All Implemented Interfaces:
  java.io.Closeable, LittleEndianInput

    public class LittleEndianInputStream

extends java.io.FilterInputStream
implements LittleEndianInput

Wraps an `InputStream` providing `LittleEndianInput`

This class does not buffer any input, so the stream read position maintained by this class is consistent with that of the inner stream.

Author:
  Josh Micich

Constructor Summary
`LittleEndianInputStream(java.io.InputStream is)`

Method Summary
`int` | `available()`
`byte` | `readByte()`
`double` | `readDouble()`
`void` | `readFully(byte[] buf)`
`void` | `readFully(byte[] buf, int off, int len)`
`int` | `readInt()`
`long` | `readLong()`
`short` | `readShort()`
`int` | `readUByte()`
`int` | `readUShort()`

Methods inherited from class java.io.FilterInputStream
`close, mark, markSupported, read, read, read, reset, skip`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LittleEndianInputStream

    public LittleEndianInputStream(java.io.InputStream is)

Method Detail

### available

    public int available()

  Specified by:
    `available` in interface `LittleEndianInput`
  Overrides:
    `available` in class `java.io.FilterInputStream`

### readByte

    public byte readByte()

  Specified by:
    `readByte` in interface `LittleEndianInput`

### readUByte

    public int readUByte()

  Specified by:
    `readUByte` in interface `LittleEndianInput`

### readDouble

    public double readDouble()

  Specified by:
    `readDouble` in interface `LittleEndianInput`

### readInt

    public int readInt()

  Specified by:
    `readInt` in interface `LittleEndianInput`

### readLong

    public long readLong()

  Specified by:
    `readLong` in interface `LittleEndianInput`

### readShort

    public short readShort()

  Specified by:
    `readShort` in interface `LittleEndianInput`

### readUShort

    public int readUShort()

  Specified by:
    `readUShort` in interface `LittleEndianInput`

### readFully

    public void readFully(byte[] buf)

  Specified by:
    `readFully` in interface `LittleEndianInput`

### readFully

    public void readFully(byte[] buf,
                          int off,
                          int len)

  Specified by:
    `readFully` in interface `LittleEndianInput`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD